yast2-ncurses: NCurses Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCurses Class Reference

`#include <NCurses.h>`

Inheritance diagram for NCurses:

List of all members.

## Public Member Functions
| NCurses ()
virtual | ~NCurses ()
void | run ()
## Static Public Member Functions
static int | cols ()
static int | lines ()
static const NCstyle & | style ()
static void | Update ()
static void | Redraw ()
static void | Refresh ()
static void | SetTitle (const string &str)
static void | ScreenShot (const string &name="screen.shot")
static void | drawTitle ()
static void | ForgetDlg (NCDialog *dlg_r)
static void | RememberDlg (NCDialog *dlg_r)
static void | ResizeEvent ()
## Protected Member Functions
void | init ()
bool | initialized () const
virtual bool | title_line ()
virtual bool | want_colors ()
virtual void | setup_screen ()
virtual void | init_title ()
virtual void | init_screen ()
## Protected Attributes
SCREEN * | theTerm
string | myTerm
string | envTerm
WINDOW * | title_w
string | title_t
NCstyle * | styleset
NCursesPanel * | stdpan
## Private Member Functions
NCurses & | operator= (const NCurses &)
| NCurses (const NCurses &)
## Static Private Member Functions
static int | ripinit (WINDOW *, int)
## Static Private Attributes
static NCurses * | myself = 0
static WINDOW * | ripped_w = 0
static set< NCDialog * > | _knownDlgs
## Friends
std::ostream & | operator<< (std::ostream &STREAM, const NCurses &OBJ)

## Constructor & Destructor Documentation

NCurses::NCurses | ( | const NCurses & |  | ) | `[private]`

NCurses::NCurses | ( |  | ) |

NCurses::~NCurses | ( |  | ) | `[virtual]`

## Member Function Documentation

static int NCurses::cols | ( |  | ) | `[inline, static]`

void NCurses::drawTitle | ( |  | ) | `[static]`

void NCurses::ForgetDlg | ( | NCDialog * | dlg_r | ) | `[static]`

void NCurses::init | ( |  | ) | `[protected]`

void NCurses::init_screen | ( |  | ) | `[protected, virtual]`

void NCurses::init_title | ( |  | ) | `[protected, virtual]`

| Reimplemented in YNCursesUI.

bool NCurses::initialized | ( |  | ) | const`[inline, protected]`

static int NCurses::lines | ( |  | ) | `[inline, static]`

NCurses& NCurses::operator= | ( | const NCurses & |  | ) | `[private]`

void NCurses::Redraw | ( |  | ) | `[static]`

void NCurses::Refresh | ( |  | ) | `[static]`

void NCurses::RememberDlg | ( | NCDialog * | dlg_r | ) | `[static]`

void NCurses::ResizeEvent | ( |  | ) | `[static]`

int NCurses::ripinit | ( | WINDOW * | ,
|  | int |
| ) | `[static, private]`

void NCurses::run | ( |  | ) |

void NCurses::ScreenShot | ( | const string & | name = `"screen.shot"` | ) | `[static]`

void NCurses::SetTitle | ( | const string & | str | ) | `[static]`

void NCurses::setup_screen | ( |  | ) | `[protected, virtual]`

const NCstyle & NCurses::style | ( |  | ) | `[static]`

virtual bool NCurses::title_line | ( |  | ) | `[inline, protected, virtual]`

void NCurses::Update | ( |  | ) | `[static]`

virtual bool NCurses::want_colors | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in YNCursesUI.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | STREAM,
|  | const NCurses & | OBJ
| ) | `[friend]`

## Member Data Documentation

set< NCDialog * > NCurses::_knownDlgs`[static, private]`

string NCurses::envTerm`[protected]`

NCurses * NCurses::myself = 0`[static, private]`

string NCurses::myTerm`[protected]`

WINDOW * NCurses::ripped_w = 0`[static, private]`

NCursesPanel* NCurses::stdpan`[protected]`

NCstyle* NCurses::styleset`[protected]`

SCREEN* NCurses::theTerm`[protected]`

string NCurses::title_t`[protected]`

WINDOW* NCurses::title_w`[protected]`

The documentation for this class was generated from the following files:

- NCurses.h
- NCurses.cc